Get, Update, or Delete Blog Image

View as Markdown
Retrieves, updates, or deletes a specific blog image.

Path parameters

blog_idintegerRequired
The ID of the blog
image_idintegerRequired
The ID of the image

Request

This endpoint expects an object.
imagestringRequiredformat: "uri"
Image file for the blog post
deleted_atdatetime or nullOptional
is_activebooleanOptional
created_bystring or nullOptional<=255 characters
updated_bystring or nullOptional<=255 characters
deleted_bystring or nullOptional<=255 characters
alt_textstringOptional<=255 characters
Alternative text for accessibility
captionstringOptional
Caption for the image
orderintegerOptional0-2147483647
Order of the image in the blog post

Response

Blog image details
idintegerRead-only
uidstringRead-onlyformat: "uuid"
created_atdatetimeRead-only
updated_atdatetimeRead-only
blogintegerRead-only
imagestringformat: "uri"
Image file for the blog post
deleted_atdatetime or null
is_activeboolean
created_bystring or null<=255 characters
updated_bystring or null<=255 characters
deleted_bystring or null<=255 characters
alt_textstring<=255 characters
Alternative text for accessibility
captionstring
Caption for the image
orderinteger0-2147483647
Order of the image in the blog post

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error